summaryrefslogtreecommitdiff
path: root/debian/mdadm.cron.daily
diff options
context:
space:
mode:
authormartin f. krafft <madduck@debian.org>2009-04-25 17:55:59 +0200
committermartin f. krafft <madduck@debian.org>2009-04-25 17:56:03 +0200
commit474c51d734e670ea2af0eed200f29677d5f33f6f (patch)
treeda4f7360bbd8169cac28afd217be5ff848d9ba12 /debian/mdadm.cron.daily
parent6d70cef7bba3361250e6776e69fe87ca6dcd146b (diff)
Scan arrays every day to prevent missing failed arrays
Adds cron.daily snippet from Paul Slootman to run one-shot scans every day to ensure that failed arrays don't go unnoticed. Debian bug: 497949 Signed-off-by: martin f. krafft <madduck@debian.org>
Diffstat (limited to 'debian/mdadm.cron.daily')
-rw-r--r--debian/mdadm.cron.daily18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/mdadm.cron.daily b/debian/mdadm.cron.daily
new file mode 100644
index 00000000..d5ac1ae0
--- /dev/null
+++ b/debian/mdadm.cron.daily
@@ -0,0 +1,18 @@
+#!/bin/sh
+#
+# cron.daily/mdadm -- daily check that MD devices are functional
+#
+# Copyright © 2008 Paul Slootman <paul@debian.org>
+# distributed under the terms of the Artistic Licence 2.0
+
+# As recommended by the manpage, run
+# mdadm --monitor --scan --oneshot
+# every day to ensure that any degraded MD devices don't go unnoticed.
+# Email will go to the address specified in /etc/mdadm/mdadm.conf .
+#
+set -eu
+
+MDADM=/sbin/mdadm
+[ -x $MDADM ] || exit 0 # package may be removed but not purged
+
+exec $MDADM --monitor --scan --oneshot